Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 May 2013 09:20:01 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 30 May 2013 17:43:02 -0400
> 
> > Hard has nothing to do with this.  It will be against the principle of
> > having the tree structures on Unix and Windows the same.
> 
> I wouldn't be opposed to making such a change on the Unix side as well,

Then I will have no objections.

> although admittedly $prefix/../site-list doesn't sound like a good idea
> when $prefix is /usr/local or /usr.

Indeed.

> > Adapting to this change is very simple.
> 
> We should advertise it (I presume you mean the use
> of --enable-locallisppath=PATH) at least as loudly as the "default
> $prefix is probably not good for you".

I'd prefer to poll users whether they use that ../site-lisp directory,
before adding this to the instructions.  I suspect very few do, which
would mean we make the instructions more complex than they already
are.